import React from "react";
import PageStyle from "./PageStyle";
import NodeStyle from "./NodeStyle";
import { useModel } from "umi";
import { Tabs } from "antd";
import InsertCss from "insert-css"

InsertCss(`
  .shalu-tabs-nav {
    padding: 0 16px
  }
`)
export default function index() {
  const { rightToobarActive } = useModel("mindMapModel");
  return (
    <div>
      {rightToobarActive === "style" && (
        <>
          <Tabs
            items={[
              {
                key: "1",
                label: "页面样式",
                children: <PageStyle />,
              },
              {
                key: "2",
                label: "主题样式",
                children: <NodeStyle/>,
              },
            ]}
          />
        </>
      )}
    </div>
  );
}
